"""Wrapper around real bzrlib"""

import os
import sys
import zipimport

from bzrconf.gui import showerror


# woodoo to import bzrlib even if it is not in $PYTHONPATH
try:
    import bzrlib
except ImportError:
    # try to find bzr if it exist in $PATH
    p = os.popen('bzr --version')
    s = p.read()
    r = p.close()
    if r not in (None, 0):
        showerror(_("Aborted"), _("bzr not found"))
        sys.exit(1)
    else:
        for i in s.splitlines():
            if i.startswith("Using bzrlib: "):
                path = os.path.split(i[14:])[0]
                sys.path.append(path)
                try:
                    import bzrlib
                except zipimport.ZipImportError:
                    showerror(_("Version mismatch"),
                              _("You are using version of standalone bzr.exe\n"
                                "incompatible with this bzr-config utility"))
                    sys.exit(1)
                break
        else:
            showerror(_("Error"),
                      _("bzr --version don't show bzrlib location"))
            sys.exit(1)


# load plugins
from bzrlib import plugin
plugin.load_plugins()
