"""Dialog for changing the alias details"""

__all__ = ['AliasDialog']

from Tkinter import *
from tkMessageBox import showwarning
from tkSimpleDialog import Dialog

from property_panel import PropertyPanel, PropertyEntry


class AliasDialog(Dialog):

    def __init__(self, parent, title, alias, command):
        self.alias = alias
        self.command = command
        __ = _
        Dialog.__init__(self, parent, __(title))

    def body(self, master):
        properties = (('Alias', PropertyEntry, self.alias),
                      ('Command', PropertyEntry, self.command))
        self.pp = PropertyPanel(properties, master)
        self.pp.pack()
        return self.pp.get_first_item()

    def get(self):
        alias = self.pp.property.Alias.strip()
        command = self.pp.property.Command.strip()
        return alias, command

    def validate(self):
        alias, command = self.get()
        if not alias or not command:
            showwarning(_('Illegal value'),
                        _('Neither <Alias> nor <Command> cannot be empty'),
                        master = self)
            return 0
        return 1

    def apply(self):
        self.result = self.get()


if __name__ == '__main__':
    from Tkinter import *
    root = Tk()

    def f():
        dialog = AliasDialog(root, 'Test', 'xxx', 'yyy')
        print dialog.result

    Button(root, text='Test', command=f).pack()
    root.mainloop()
