"""Panel with control buttons"""

__all__ = ['ButtonsPanel']

from Tkinter import *


class ButtonsPanel(Frame):
    """Panel with 2 buttons: Save and Cancel"""

    def __init__(self, parent, save=lambda:None, reset=lambda:None):
        Frame.__init__(self, parent,
                       borderwidth=2)
        btns = [(_('Save'), save),
                (_('Reset'), reset)]
        w = max(len(t) for t,f in btns) + 4
        for ix, (t, f) in enumerate(btns):
            Button(self, text=t, width=w, command=f).grid(column=ix, row=0,
                                                          padx=10, pady=4)


if __name__ == '__main__':
    _ = lambda x: x
    root = Tk()
    bp = ButtonsPanel(root)
    bp.pack()
    root.mainloop()
