"""Page selector for overlayed pages"""

__all__ = ['PageSelector']

from Tkinter import *


class PageSelector(Frame):

    def __init__(self, parent, pages, callback=lambda x: None):
        Frame.__init__(self, parent, borderwidth=2)

        __ = _
        w = max(len(__(s)) for s in pages) + 4
        self._var = StringVar()
        self._pages = pages

        def get_callback(page):
            def invoke_callback(callback=callback, page=page):
                callback(page)
            return invoke_callback

        for ix, page in enumerate(pages):
            Radiobutton(self,
                        text=__(page),
                        value=page,
                        variable=self._var,
                        indicatoron=0,
                        command=get_callback(page),
                        width=w,
                       ).grid(column=ix,row=0)

        self.set_page(pages[0])

    def get_page(self):
        return self._var.get()

    def set_page(self, page):
        if page in self._pages:
            self._var.set(page)


if __name__ == '__main__':
    def f(name):
        print name

    root = Tk()
    ps = PageSelector(root, ["General", "Aliases", "Plugins"], f)
    ps.pack()
    root.mainloop()
