# postinstallation procedure on Windows

import os
import sys
import _winreg

from os.path import join as pjoin


def bdist_install():
    ## this hunk borrowed from pywin32_postinstall.py
    # use bdist_wininst builtins to create a shortcut.
    # CSIDL_COMMON_PROGRAMS only available works on NT/2000/XP, and
    # will fail there if the user has no admin rights.
    if get_root_hkey()==_winreg.HKEY_LOCAL_MACHINE:
        try:
            fldr = get_special_folder_path("CSIDL_COMMON_PROGRAMS")
        except OSError:
            # No CSIDL_COMMON_PROGRAMS on this platform
            fldr = get_special_folder_path("CSIDL_PROGRAMS")
    else:
        # non-admin install - always goes in this user's start menu.
        fldr = get_special_folder_path("CSIDL_PROGRAMS")

    # make Bazaar entry
    fldr = pjoin(fldr, 'Bazaar')
    if not os.path.isdir(fldr):
        os.mkdir(fldr)
        directory_created(fldr)

    # make shortcut
    lnk = pjoin(fldr, 'bzr-config.lnk')
    create_shortcut(pjoin(sys.prefix, 'pythonw.exe'),
                    'Bazaar configuration',
                    lnk,
                    pjoin(sys.prefix, 'Scripts', 'bzr-config.py'),
                    pjoin(sys.prefix, 'Scripts'),
                    pjoin(sys.prefix, 'share', 'icons', 'olive-branches.ico')
                   )
    file_created(lnk)

    print 'Bazaar configuration utility successfully installed.'
    print
    print 'To run utility: Start => Programs => Bazaar => bzr-config'


if '-install' in sys.argv[1:]:
    bdist_install()
